{#<pagetitle>NHS.UK | Nominated person place of stay</pagetitle>#}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/radios/macro.njk' import radios %}

<form action="representative-pos" method="post" class="form">
    <fieldset class="nhsuk-fieldset">
        {{
            heading({
                subHeading:{ text: 'representative-pos.section.heading'},
                text: 'representative-pos.h1',
                classes: 'nhsuk-fieldset__heading',
                locale: locale
            })
        }}


        <div class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}" id="radios-representativePosQuestion">
        {% for error in errors %}
            {% if error.param == 'Yes'%}
                <span class="nhsuk-error-message" id=representative-pos-error" style="display: block;">
                  {{ __({phrase: error.msg, locale: error.locale }) }}
                </span>
                {% endif %}
          {% endfor %}
          {{ radios({
            "idPrefix": "representative-pos",
            "name": "RepresentativePlaceOfStay",
            "items": [
              {
                "checked": (data.Representative.RepresentativePlaceOfStay === 'Yes'),
                "id": "Yes",
                "value": "Yes",
                "text": "representative-pos.option1",
                "locale": locale
              },
              {
                "checked": (data.Representative.RepresentativePlaceOfStay === 'No'),
                "id": "No",
                "value": "No",
                "text": "representative-pos.option2",
                "locale": locale
              }
            ]
          }) }}
        </div>
    </fieldset>
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>
